Name:           fluxbox
Version:        1.3.2
Release:        1
Summary:	Window Manager based on Blackbox
Group:          User Interface/Desktops
License:        MIT
URL:            http://fluxbox.sourceforge.net

Source0:        http://download.sourceforge.net/fluxbox/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  fontconfig-devel >= 2.8.0-1
BuildRequires:  gcc >= 4.2.3-2, gcc-c++ >= 4.2.3-2
BuildRequires:  imlib2-devel >= 1.4.4-2
BuildRequires:  libXft-devel >= 2.1.14-1
BuildRequires:  libXpm-devel >= 3.5.7-4
BuildRequires:  libXrender-devel >= 0.9.5-1
BuildRequires:  libXrandr-devel >= 1.1.2-1
BuildRequires:  libiconv >= 1.14-2
BuildRequires:	zlib-devel >= 1.2.3

Requires:       artwiz-aleczapka-fonts
Requires:	fontconfig >= 2.8.0-1
Requires:	imlib2 >= 1.4.4-2
Requires:	libgcc >= 4.2.3-2
Requires:	libstdc++ >= 4.2.3-2
Requires:	libXft >= 2.1.14-1
Requires:	libXpm >= 3.5.7-4
Requires:	libXrender >= 0.9.5-1
Requires:	libXrandr >= 1.1.2-1
Requires:       libiconv >= 1.14-2
Requires:	zlib >= 1.2.3

%description
Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
%setup -q
%patch0


%build
export CC=gcc
export CXX=g++

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS="${CFLAGS}"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-dependency-tracking \
    --enable-slit \
    --enable-remember \
    --enable-toolbar \
    --enable-regexp \
    --enable-newwmspec \
    --disable-debug \
    --disable-nls \
    --enable-xft \
    --enable-xrender \
    --enable-xpm \
    --enable-imlib2 \
    --enable-xmb \
    --disable-xinerama \
    --enable-shape \
    --enable-randr \
    --enable-randr1.2 \
    --enable-fribidi \

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Oct 31 2011 Michael Perzl <michael@perzl.org> - 1.3.2-1
- updated to version 1.3.2

* Wed Mar 16 2011 Michael Perzl <michael@perzl.org> - 1.3.1-1
- first version for AIX V5.1 and higher
